> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得節點

> 依 ID 取得單一節點

## 請求

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>
<ParamField path="nodeId" type="string" required>節點 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

回傳節點物件；若找不到則回傳 `404`。

### 範例

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": {
    "id": "node-booking",
    "position": { "x": 200, "y": 300 },
    "data": {
      "type": "prompt",
      "title": "Booking",
      "prompt": "Help the user complete their booking.",
      "tools": ["tool-uuid-1"]
    }
  }
}
```
